From 0b36d05612c4a784cd1952d3517515b9137f5c20 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Wed, 9 Nov 2022 15:23:02 +0100
Subject: [PATCH] Ensure book list has consistent syntax

This fixes variations to punctation in titles and list of authors
as well as uses HTML entities consistently.
---
 templates/pages/docs/books.html | 90 +++++++++++++++++----------------
 1 file changed, 46 insertions(+), 44 deletions(-)

diff --git a/templates/pages/docs/books.html b/templates/pages/docs/books.html
index cbf35083..8f5ea9a1 100644
--- a/templates/pages/docs/books.html
+++ b/templates/pages/docs/books.html
@@ -15,11 +15,11 @@
         <td>
             <a href="https://www.d-booker.fr/postgresql/187-architecture-et-notions-avancees.html">
               <img src="/media/img/docs/books/architecture-et-notions-avancees-4ed.png"
-                   alt="PostgreSQL - Architecture et notions avancées" /></a>
+                   alt="PostgreSQL - Architecture et notions avanc&eacute;es" /></a>
         </td>
         <td>
-           <strong>Title</strong>: PostgreSQL - Architecture et notions avancées<br />
-           <strong>Authors</strong>: Guillaume Lelarge and Julien Rouhaud<br />
+           <strong>Title</strong>: PostgreSQL - Architecture et notions avanc&eacute;es<br />
+           <strong>Authors</strong>: Guillaume Lelarge, Julien Rouhaud<br />
            <strong>Language</strong>: French<br />
            <strong>Current version at publication</strong>: 14<br />
            <strong>Format</strong>: Paperback, eBook<br />
@@ -49,7 +49,7 @@
           </td>
           <td>
             <strong>Title</strong>: Mastering PostgreSQL 13 - Fourth Edition<br />
-            <strong>Author</strong>: Hans-Jürgen Schönig<br />
+            <strong>Author</strong>: Hans-J&uuml;rgen Sch&ouml;nig<br />
             <strong>Language</strong>: English<br />
             <strong>Current version at publication</strong>: 13<br />
             <strong>Format</strong>: Paperback, eBook<br />
@@ -94,7 +94,7 @@
         </td>
         <td>
            <strong>Title</strong>: Fundamentos para el trabajo con PostgreSQL<br />
-           <strong>Author</strong>: Yudisney Vazquez Ortíz, Anthony R. Sotolongo León<br />
+           <strong>Author</strong>: Yudisney Vazquez Ort&iacute;z, Anthony R. Sotolongo Le&oacute;n<br />
            <strong>Language</strong>: Spanish <br />
            <strong>Current version at publication</strong>: 12<br />
            <strong>Format</strong>: Paperback, eBook<br />
@@ -139,7 +139,7 @@
         </td>
         <td>
           <strong>Title</strong>: PostgreSQL 11 Administration Cookbook<br />
-          <strong>Author</strong>: Simon Riggs, Gianni Ciolli, Sudheer Kumar Meesala.<br />
+          <strong>Author</strong>: Simon Riggs, Gianni Ciolli, Sudheer Kumar Meesala<br />
           <strong>Language</strong>: English<br />
           <strong>Current version at publication</strong>: 11<br />
           <strong>Format</strong>: Paperback, eBook<br />
@@ -184,7 +184,7 @@
         </td>
         <td>
           <strong>Title</strong>: Mastering PostgreSQL 11 - Second Edition<br />
-          <strong>Author</strong>: Hans-Jürgen Schönig<br />
+          <strong>Author</strong>: Hans-J&uuml;rgen Sch&ouml;nig<br />
           <strong>Language</strong>: English<br />
           <strong>Current version at publication</strong>: 11<br />
           <strong>Format</strong>: Paperback, eBook<br />
@@ -244,7 +244,7 @@
         </td>
         <td>
           <strong>Title</strong>: PostGIS Cookbook, 2nd Edition<br />
-          <strong>Author</strong>: Mayra Zurbaran et al.<br />
+          <strong>Author</strong>: Mayra Zurbaran, et al<br />
           <strong>Language</strong>: English<br />
           <strong>Current version at publication</strong>: 10<br />
           <strong>Format</strong>: Paperback, eBook<br />
@@ -259,7 +259,7 @@
         </td>
         <td>
           <strong>Title</strong>: Mastering PostgreSQL 10<br />
-          <strong>Author</strong>: Hans-Jürgen Schönig<br />
+          <strong>Author</strong>: Hans-J&uuml;rgen Sch&ouml;nig<br />
           <strong>Language</strong>: English<br />
           <strong>Current version at publication</strong>: 10<br />
           <strong>Format</strong>: Paperback, eBook<br />
@@ -288,8 +288,8 @@
                         alt="PostgreSQL - Architecture et notions avancées" /></a>
         </td>
         <td>
-           <strong>Title</strong>: PostgreSQL - Architecture et notions avancées<br />
-           <strong>Authors</strong>: Guillaume Lelarge and Julien Rouhaud<br />
+           <strong>Title</strong>: PostgreSQL - Architecture et notions avanc&eacute;es<br />
+           <strong>Authors</strong>: Guillaume Lelarge, Julien Rouhaud<br />
            <strong>Language</strong>: French<br />
            <strong>Current version at publication</strong>: 10<br />
            <strong>Format</strong>: Paperback, eBook<br />
@@ -297,37 +297,39 @@
         </td>
       </tr>
       <tr>
-          <td>
-            <a href="https://masteringpostgresql.com/"><img
-                        src="/media/img/docs/books/dim_mastering_postgresql.png"
-                        alt="Mastering PostgreSQL In Application Development" /></a>
-        </td>
         <td>
-           <strong>Title</strong>: Mastering PostgreSQL In Application Development<br />
-           <strong>Author</strong>: Dimitri Fontaine<br />
-           <strong>Language</strong>: English<br />
-           <strong>Current version at publication</strong>: 10<br />
-           <strong>Format</strong>: Paperback, eBook<br />
-           <strong>Published</strong>: November 2017
-        </td>
-    </tr>
-    <tr>
-      <td>
-            <a href="https://shop.oreilly.com/product/0636920052715.do"><img src="/media/img/docs/books/postgres_up_and_running_3.gif" alt="PostgreSQL: Up and Running" /></a>
+          <a href="https://masteringpostgresql.com/">
+          <img src="/media/img/docs/books/dim_mastering_postgresql.png"
+               alt="Mastering PostgreSQL In Application Development" /></a>
         </td>
         <td>
-          <strong>Title</strong>: PostgreSQL: Up and Running, 3rd Edition<br />
-          <strong>Author</strong>: Regina Obe and Leo Hsu<br />
+          <strong>Title</strong>: Mastering PostgreSQL In Application Development<br />
+          <strong>Author</strong>: Dimitri Fontaine<br />
           <strong>Language</strong>: English<br />
           <strong>Current version at publication</strong>: 10<br />
           <strong>Format</strong>: Paperback, eBook<br />
-          <strong>Published</strong>: October 2017
+          <strong>Published</strong>: November 2017
         </td>
     </tr>
+    <tr>
+      <td>
+        <a href="https://shop.oreilly.com/product/0636920052715.do">
+        <img src="/media/img/docs/books/postgres_up_and_running_3.gif"
+             alt="PostgreSQL: Up and Running" /></a>
+      </td>
+      <td>
+        <strong>Title</strong>: PostgreSQL: Up and Running, 3rd Edition<br />
+        <strong>Author</strong>: Regina Obe, Leo Hsu<br />
+        <strong>Language</strong>: English<br />
+        <strong>Current version at publication</strong>: 10<br />
+        <strong>Format</strong>: Paperback, eBook<br />
+        <strong>Published</strong>: October 2017
+      </td>
+    </tr>
 
     <tr>
-        <td>
-            <a href="https://www.packtpub.com/big-data-and-business-intelligence/postgresql-high-performance-second-edition"><img
+      <td>
+          <a href="https://www.packtpub.com/big-data-and-business-intelligence/postgresql-high-performance-second-edition"><img
                         src="/media/img/docs/books/packt_pg96_high_performance.png"
                         alt="PostgreSQL 9.6 High Performance" /></a>
         </td>
@@ -349,7 +351,7 @@
         </td>
         <td>
                  <strong>Title</strong>: Mastering PostgreSQL 9.6<br />
-                 <strong>Author</strong>: Hans-Jürgen Schönig<br />
+                 <strong>Author</strong>: Hans-J&uuml;rgen Sch&ouml;nig<br />
                  <strong>Language</strong>: English<br />
                  <strong>Current version at publication</strong>: 9.6<br />
                  <strong>Format</strong>: Paperback, eBook<br />
@@ -458,7 +460,7 @@
                         alt="PostgreSQL - Architecture et notions avancées" /></a>
         </td>
         <td>
-                 <strong>Title</strong>: PostgreSQL - Architecture et notions avancées<br />
+                 <strong>Title</strong>: PostgreSQL - Architecture et notions avanc&eacute;es<br />
                  <strong>Author</strong>: Guillaume Lelarge<br />
                  <strong>Language</strong>: French<br />
                  <strong>Current version at publication</strong>: 9.4<br />
@@ -491,7 +493,7 @@
         </td>
         <td>
                  <strong>Title</strong>: PostgreSQL Replication - 2nd Edition<br />
-                 <strong>Author</strong>: Hans-Jürgen Schönig<br />
+                 <strong>Author</strong>: Hans-J&uuml;rgen Sch&ouml;nig<br />
                  <strong>Language</strong>: English<br />
                  <strong>Current version at publication</strong>: 9.4<br />
                  <strong>Format</strong>: Paperback, eBook<br />
@@ -539,7 +541,7 @@
         </td>
         <td>
                  <strong>Title</strong>: Troubleshooting PostgreSQL<br />
-                 <strong>Author</strong>: Hans-Jürgen Schönig<br />
+                 <strong>Author</strong>: Hans-J&uuml;rgen Sch&ouml;nig<br />
                  <strong>Language</strong>: English<br />
                  <strong>Current version at publication</strong>: 9.4<br />
                  <strong>Format</strong>: Paperback, eBook<br />
@@ -603,7 +605,7 @@
         </td>
         <td>
                  <strong>Title</strong>: PostgreSQL Up &amp; Running (2nd Edition)<br />
-                 <strong>Author</strong>: Regina Obe and Leo Hsu<br />
+                 <strong>Author</strong>: Regina Obe, Leo Hsu<br />
                  <strong>Language</strong>: English<br />
                  <strong>Current version at publication</strong>: 9.4<br />
                  <strong>Format</strong>: Paperback, eBook<br />
@@ -619,7 +621,7 @@
         </td>
         <td>
                  <strong>Title</strong>: PostgreSQL Administration Essentials<br />
-                 <strong>Author</strong>: Hans-Jürgen Schönig<br />
+                 <strong>Author</strong>: Hans-J&uuml;rgen Sch&ouml;nig<br />
                  <strong>Language</strong>: English<br />
                  <strong>Current version at publication</strong>: 9.3<br />
                  <strong>Format</strong>: Paperback, eBook<br />
@@ -663,7 +665,7 @@
             </td>
             <td>
                     <strong>Title</strong>: PostgreSQL Replication<br />
-                    <strong>Author</strong>: Zoltan Böszörmenyi, Hans-Jürgen Schönig<br />
+                    <strong>Author</strong>: Zoltan B&ouml;sz&ouml;rmenyi, Hans-J&uuml;rgen Sch&ouml;nig<br />
                     <strong>Language</strong>: English<br />
                     <strong>Current version at publication</strong>: 9.2<br />
                     <strong>Format</strong>: Paperback, eBook<br />
@@ -730,7 +732,7 @@
                 <a href="https://www.pearson.fr/livre/?GCOI=27440100863920"><img src="/media/img/docs/books/pearson_9782744024832.png" alt="Bases de données PostgreSQL, Gestion des performances" /></a>
             </td>
             <td>
-    		<strong>Title</strong>: Bases de données PostgreSQL, Gestion des performances<br />
+            <strong>Title</strong>: Bases de donn&eacute;es PostgreSQL, Gestion des performances<br />
     		<strong>Author</strong>: Gregory Smith<br />
     		<strong>Language</strong>: French<br />
             <strong>Current version at publication</strong>: 9.0<br />
@@ -771,7 +773,7 @@
             </td>
             <td>
     		<strong>Title</strong>: PostgreSQL 9 Administration Cookbook<br />
-    		<strong>Author</strong>: Simon Riggs and Hannu Krosing<br />
+            <strong>Author</strong>: Simon Riggs, Hannu Krosing<br />
     		<strong>Language</strong>: English<br />
             <strong>Current version at publication</strong>: 9.0<br />
     		<strong>Format</strong>: PDF, Paperback<br />
@@ -796,7 +798,7 @@
     		<a href="http://www.digitbooks.fr/catalogue/9782815001809.html"><img src="/media/img/docs/books/9782815001809.png" alt="Installer et débuter avec PostgreSQL" /></a>
             </td>
             <td>
-    		<strong>Title</strong>: Installer et débuter avec PostgreSQL<br />
+            <strong>Title</strong>: Installer et d&eacute;buter avec PostgreSQL<br />
     		<strong>Author</strong>: Dominique Colombani<br />
     		<strong>Language</strong>: French<br />
             <strong>Current version at publication</strong>: 8.4<br />
@@ -979,7 +981,7 @@
     		<a href="https://www.amazon.de/exec/obidos/ASIN/3898641759/postgresql-20"><img src="/media/img/docs/books/3898641759.03.MZZZZZZZ.jpg" alt="Cover of PostgreSQL. Grundlagen - Praxis - Anwendungsentwicklung mit PHP" /></a>
     	</td>
             <td>
-    		<strong>Title</strong>: PostgreSQL. Grundlagen - Praxis - Anwendungsentwicklung mit PHP.<br />
+            <strong>Title</strong>: PostgreSQL. Grundlagen - Praxis - Anwendungsentwicklung mit PHP<br />
     		<strong>Author</strong>: Cornelia Boenigk<br />
     		<strong>Language</strong>: German<br />
             <strong>Current version at publication</strong>: &lt;7.4<br />
@@ -993,7 +995,7 @@
     	</td>
             <td>
     		<strong>Title</strong>: PHP and PostgreSQL Advanced Web Programming<br />
-    		<strong>Author</strong>: Ewald Geschwinde and Hans-Juergen Schoenig<br />
+            <strong>Author</strong>: Ewald Geschwinde, Hans-J&uuml;rgen Sch&ouml;nig<br />
     		<strong>Language</strong>: English<br />
             <strong>Current version at publication</strong>: &lt;7.4<br />
     		<strong>Format</strong>: Paperback<br />
-- 
2.32.1 (Apple Git-133)

